it-swarm.com.de

Virtualbox 5.1.2 für Ubuntu 14.04.5

Nachdem Ubuntu 14.04.5 mit 16.04 Kernel verfügbar ist, welches Virtualbox-Paket sollte ich für Ubuntu 14.04.5 herunterladen?

Sollte ich das für 14.04 (vertrauenswürdig) oder 16.04 (xenial) kompilierte Paket herunterladen?

Oder ist es unabhängig von der Kernel-Version und hängt mehr von den Versionen von GCC, Python und anderen Systembibliotheken ab, die für eine bestimmte Ubuntu-Version spezifisch sind?

1
Manoj Sawai

Das Deb-Paket von VirtualBox 5.1.2 für Ubuntu 16.04 hängt von Paketen ab, die sich nicht im Repository von Trusty befinden.

$ aptitude show virtualbox-5.1
Package: virtualbox-5.1                  
Version: 5.1.2-108956~Ubuntu~xenial
State: installed
Automatically installed: no
Priority: optional
Section: contrib/misc
Maintainer: Oracle Corporation <[email protected]>
Architecture: AMD64
Uncompressed Size: 156 M
Depends: libc6 (>= 2.15), libcurl3 (>= 7.16.2), libdevmapper1.02.1 (>= 2:1.02.97), libgcc1 (>= 1:3.0), libgl1-mesa-glx | libgl1, libpng12-0 (>=
         1.2.13-4), libpython2.7 (>= 2.7), libqt5core5a (>= 5.5.0), libqt5gui5 (>= 5.3.0) | libqt5gui5-gles (>= 5.3.0), libqt5opengl5 (>=
         5.0.2) | libqt5opengl5-gles (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0), libqt5x11extras5 (>= 5.1.0),
         libsdl1.2debian (>= 1.2.11), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 5.2), libvpx3 (>= 1.5.0), libx11-6, libxcb1, libxcursor1 (>
         1.1.2), libxext6, libxinerama1, libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), psmisc, adduser
PreDepends: debconf (>= 1.1) | debconf-2.0
Recommends: libasound2, libpulse0, libsdl-ttf2.0-0, kmod | kldutils | module-init-tools, linux-headers-generic | linux-headers-generic-pae |
            linux-headers-686-pae | linux-headers-AMD64 | linux-headers-2.6-686 | linux-headers-2.6-AMD64 | linux-headers, linux-image, gcc,
            make | build-essential | dpkg-dev, binutils, pdf-viewer, libgl1
Conflicts: virtualbox, virtualbox:i386, virtualbox-guest-additions-iso, virtualbox-guest-additions-iso:i386, virtualbox-ose,
           virtualbox-5.1:i386
Replaces: virtualbox, virtualbox:i386
Provides: virtualbox
Description: Oracle VM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a wide range of PC operating systems on your Linux system. This
 includes Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad feature set and excellent performance, making it the
 premier virtualization software solution on the market.

Aus der obigen Ausgabe können Sie ersehen, dass dies von libdevmapper1.02.1> = 2: 1.02.97 abhängt, aber das verfügbare Paket für Trusty ist älter als dieses (2: 1.02.77). Gleiches gilt für libstdc++6. Erforderliche Version ist> = 5.2, aber verfügbare Version ist 4.8.4. Es gibt auch libvpx3, Das heißt nicht verfügbar überhaupt für vertrauenswürdige.

Das VirtualBox-Paket für Ubuntu 16.04 wird unter Ubuntu 14.04 nicht installiert .

1
Eric Carvalho